Bug 989791 - Review Request: doublecmd-qt4 - Twin-panel (commander-style) file manager(Qt4) [NEEDINFO]
Review Request: doublecmd-qt4 - Twin-panel (commander-style) file manager(Qt4)
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Raphael Groner
Fedora Extras Quality Assurance
NotReady
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-29 20:32 EDT by Christopher Meng
Modified: 2015-04-27 07:34 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1208911 (view as bug list)
Environment:
Last Closed: 2015-04-03 16:34:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
projects.rg: needinfo? (i)


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2013-07-29 20:32:46 EDT
Spec URL: http://cicku.me/doublecmd-qt4.spec
SRPM URL: http://cicku.me/doublecmd-qt4-0.5.6-1.fc20.src.rpm
Description: Double Commander is a cross platform open source file manager with two panels 
side by side. It is inspired by Total Commander and features some new ideas.

Here are some key features of Double Commander:
- Unicode support
- All operations working in background
- Multi-rename tool
- Tabbed interface
- Custom columns
- Internal text editor (F4)  with syntax hightlighting
- Built in file viewer (F3) to view files of in hex, binary or text format
- Archives are handled like subdirectories. You can easily copy files to and 
from archives. Supported archive types: ZIP, TAR GZ, TGZ, LZMA and also BZ2, 
RPM, CPIO, DEB, RAR.
- Extended  search function with full text search in any files
- Configurable button bar to start external programs or internal menu commands
- Total Commander WCX, WDX and WLX plug-ins support
- File operations logging

Fedora Account System Username: cicku
Comment 1 Mario Blättermann 2013-08-04 15:58:56 EDT
A *.desktop file needs to be installed explicitely or validated:
http://fedoraproject.org/wiki/Packaging:Guidelines#desktop-file-install_usage

Besides that, desktop-file-utils are needed as a build requirement.

The package contains the file /usr/bin/doublecmd. The same file is in the package doublecmd-gtk2 (bug #989792), which would cause a package conflict. You have added a Conflicts: tag to both packages, but I wouldn't recommend this really. You should try to package both from the same source rpm instead and rename the files appropriately. If you would do so, you could move the files shared between the two versions to a -common subpackage (noarch), such as docs, icons, man pages, wherever possible.
Comment 2 Christopher Meng 2013-08-04 21:21:50 EDT
(In reply to Mario Blättermann from comment #1)
> A *.desktop file needs to be installed explicitely or validated:
> http://fedoraproject.org/wiki/Packaging:Guidelines#desktop-file-install_usage

Fixed.

> The package contains the file /usr/bin/doublecmd. The same file is in the
> package doublecmd-gtk2 (bug #989792), which would cause a package conflict.
> You have added a Conflicts: tag to both packages, but I wouldn't recommend
> this really. You should try to package both from the same source rpm instead
> and rename the files appropriately. If you would do so, you could move the
> files shared between the two versions to a -common subpackage (noarch), such
> as docs, icons, man pages, wherever possible.

I understand your meaning, but the fact is that Lazarus only supports one widgetset(gtk2 or qt) in one time, so I cannot build them in one src rpm,

./build.sh beta qt

if then I run

./build.sh beta gtk2,

the newly built things will override the generated qt files.

This also happen in another package I haven't submitted.
Comment 3 Michael Schwendt 2013-08-05 04:23:18 EDT
At the end of %prep you could copy the builddir contents to a second builddir.
Comment 4 Christopher Meng 2013-08-05 05:11:30 EDT
(In reply to Michael Schwendt from comment #3)
> At the end of %prep you could copy the builddir contents to a second
> builddir.

After consulting with upstream, they said that I can use another way:

./build.sh beta gtk2
./build.sh save gtk2

and

./build.sh beta qt
./build.sh save qt

then 

install/linux/install.sh gtk2 from saved gtk2 and install/linux/install.sh qt4 from saved qt4.

Is it alright?

I don't have time today, tomorrow may have a try.
Comment 5 Michael Schwendt 2013-08-16 15:35:44 EDT
> Is it alright?

Dunno. I haven't examined the source code that much. One more general way is to create a copy of the source tree (e.g. in %prep), so you get two trees which you can configure differently (likely with a strict set of --enable-foo/--disable-foo options).
Comment 6 Mario Blättermann 2013-10-20 14:00:27 EDT
Is there any decision made how to proceed with doublecmd? In any case, you should close one ticket of doublecmd-qt and doublecmd-gtk. It would be odd to generate to srpms for the two packages.
Comment 7 Mario Blättermann 2013-10-31 15:05:33 EDT
Any progress here...?
Comment 8 Mario Blättermann 2013-11-16 10:32:25 EST
(In reply to Mario Blättermann from comment #7)
> Any progress here...?

Same question again...?

Anyway, you should open a new review ticket for doublecmd and mark doublecmd-qt4 and doublecmd-gtk2 as duplicates. In fact both of the current tickets are NotReady.
Comment 9 Raphael Groner 2014-03-28 10:16:19 EDT
(In reply to Mario Blättermann from comment #7)
> Any progress here...?

http://vondruch.fedorapeople.org/doublecmd/
Comment 10 Raphael Groner 2014-12-11 12:14:40 EST
Should I take the request by clone this bug and closing?
Comment 11 Raphael Groner 2015-02-05 10:16:04 EST
Hi Christopher,

are you still interested in mainting this package? If not, I would suggest to consider this as a dead review, unfortunately.
Comment 12 Raphael Groner 2015-02-25 11:03:52 EST
Ping? Again?
Comment 13 Christopher Meng 2015-02-25 22:14:39 EST
(In reply to Raphael Groner from comment #12)
> Ping? Again?
Comment 14 Raphael Groner 2015-03-30 10:32:31 EDT
WTF? What's this here? No progress since monthes. Sorry to raise and sound unfriendly but this issue here is generally no acceptable process.
Comment 15 Raphael Groner 2015-04-03 16:34:08 EDT
Taking over here. Closing.

Note You need to log in before you can comment on or make changes to this bug.